// Copyright (C) 1992, 1993, 1994, 1995 NEC Corporation, Tokyo, Japan.

#include "VideoImage.h"
#include <InterViews/session.h>
#include <InterViews/layout.h>
#include <InterViews/debug.h>

#include <Hs/HsAVdesc.h>
#include <Hs/HsViewer.h>

VideoImage::VideoImage(const char* file) {
    LayoutKit& layout = *LayoutKit::instance();
    HsMedia* m = HsAVdesc::open(file);
    HsViewer* video = new HsViewer(m);
    body(
	layout.vbox(
	    video,
	    new HsViewerGadget(video)
	    )
	);
}
